#!/usr/bin/env node
"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _fs = _interopRequireDefault(require("fs"));

var _ora = _interopRequireDefault(require("ora"));

var _vtils = require("vtils");

var _path = require("path");

var _send = require("./send");

const configFile = (0, _path.join)(process.cwd(), 'notify-dingtalk.config.js');

if (!_fs.default.existsSync(configFile)) {
  throw new Error(`未找到配置文件：${configFile}`);
}

const config = (0, _vtils.castArray)(require(configFile).default || require(configFile));

if (config.length) {
  const spinner = (0, _ora.default)(`${config.length} 个通知发送中`).start();
  Promise.all(config.map(sendOptions => {
    return (0, _send.send)(sendOptions);
  })).then(() => {
    spinner.succeed(`已发送 ${config.length} 个通知`);
  }).catch(err => {
    spinner.fail(String(err));
  });
}