
export declare function defineConfig(config: SendOptions): SendOptions;

export declare function getLatestConventionalChangelog(conventionalChangelogFile?: string): string;

export declare function send({ accessToken, secret, title, content, at, }: SendOptions): Promise<{
    errcode: number;
    errmsg: string;
}>;

export declare interface SendOptions {
    /**
     * 访问口令。
     *
     * @default process.env.D_ACCESS_TOKEN
     */
    accessToken?: string;
    /**
     * 访问密钥。
     *
     * @default process.env.D_SECRET
     */
    secret?: string;
    /**
     * 通知标题。
     */
    title: string;
    /**
     * 通知内容，Markdown 格式。
     */
    content: string;
    /**
     * 要提醒的人员，设为 `all` 表示 @ 所有人，设为手机号数组只 @ 指定人。
     */
    at?: 'all' | string[];
}

export { }
